#import <Cocoa/Cocoa.h>
#import "SSYAlertCommon.h"

@interface SSLabelledPopUpButton : NSView < SSYHeightSizableToFit > {
	NSTextField* _labelField ;
	NSPopUpButton* _popUpButton ;
}

- (id)initWithPrototypeTextField:(NSTextField*)prototypeTextField ;
// prototypeTextField = a field from which some attributes such
// as font and initial size will be copied.  For proper sizing,
// this prototypeTextField should be not editable.
- (void)setLabel:(NSString*)label ;
- (void)setChoices:(NSArray*)choices ;
- (void)setEnabled:(BOOL)enabled choiceAtIndex:(int)index ;
- (int)selectedIndex ;
- (void)sizeHeightToFitAllowShrinking:(BOOL)allowShrinking ;

@end

