#import <Cocoa/Cocoa.h>

@interface SSAppController : NSObject
{
	// instance variables
	NSUndoManager* _undoManager ; // app-wide undo manager, if desired
//	id _alert ;  // app-wide modal alert dialog
	
	id _prefsWindowController ;
	id _dateFormatter ;
	short _appDatabaseDomain ;
	// appDatabaseDomain = kLocalDomain to read/write app database in /Library/Application Support
	// appDatabaseDomain = kUserDomain to read/write app databse in ~/Library/Application Support
	NSString* _hostAppBundleIdentifier ;
}

// Accessors, of sorts

SSAOh(id, prefsWindowController, setPrefsWindowController)
SSAOh(NSUndoManager*, undoManager, setUndoManager)
SSAOh(NSString*, hostAppBundleIdentifier, setHostAppBundleIdentifier)

SSAOh(NSDateFormatter*, dateFormatter, setDateFormatter) ;

// Menu Actions
- (IBAction)orderFrontCustomAboutPanel: (id) sender; //	Variation on NSApplications orderFrontStandardAboutPanel:
- (IBAction)support:(id)sender;

- (id)initWithHostAppBundleIdentifier:(NSString*)hostAppBundleIdentifier
							   gotGUI:(BOOL)gotGUI ;

// Other

@end
